> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /organisation/:id/mapping

> Fetches all integrations that suport organisation mapping, the schemas and the data for each



## OpenAPI

````yaml /openapi.json get /v1/organisation/{id}/mapping
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/organisation/{id}/mapping:
    get:
      tags:
        - Organisation/Organisation Meta
        - public
      summary: /organisation/:id/mapping
      description: >-
        Fetches all integrations that suport organisation mapping, the schemas
        and the data for each
      parameters:
        - name: id
          in: path
          description: Organisation ID
          required: true
          example: 0
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        platform:
                          type: string
                        platform_name:
                          type: string
                        logo:
                          type: string
                        logo_dark:
                          type: string
                        account_name:
                          type: string
                        field_schema:
                          type: object
                          properties: {}
                        field_value:
                          nullable: true
                          oneOf:
                            - type: string
                            - type: integer
                            - type: boolean
                            - type: array
                            - type: object
                            - type: number
                      required:
                        - id
                        - platform
                        - platform_name
                        - logo
                        - logo_dark
                        - account_name
                        - field_schema
                        - field_value
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  - id: 626
                    platform: rubicon
                    platform_name: Magnite/Rubicon
                    logo: https://cdn.tagdeliver.com/assets/logo/rubicon.svg
                    logo_dark: https://cdn.tagdeliver.com/assets/logo/rubicon--dark.svg
                    account_name: Content Ignite
                    field_schema:
                      type: object
                      properties:
                        mapping.626:
                          title: Site ID
                          type: integer
                          readOnly: true
                    field_value: null
                  - id: 789
                    platform: ga
                    platform_name: Google Analytics (GA4)
                    logo: https://cdn.tagdeliver.com/assets/logo/ga.svg
                    logo_dark: https://cdn.tagdeliver.com/assets/logo/ga--dark.svg
                    account_name: Demo Ltd
                    field_schema:
                      type: object
                      properties:
                        mapping.789:
                          title: Property ID
                          type: string
                    field_value: null
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````